小编典典

无法连接到Geckodriver

selenium

我正在尝试使用Ruby on Rails运行Selenium的示例脚本。我必须使用代理运行它。这是我的代码:

require 'rubygems'
require 'bundler/setup'

# require your gems as usual
require "selenium-webdriver"

Selenium::WebDriver::Firefox.path = "/home/marc/Documents/firefox/firefox"
profile = Selenium::WebDriver::Firefox::Profile.new
proxy = Selenium::WebDriver::Proxy.new(:http => nil)
profile.proxy = proxy
driver = Selenium::WebDriver.for :firefox, :profile => profile
driver.navigate.to "http://google.com"

element = driver.find_element(:name, 'q')
element.send_keys "Hello WebDriver!"
element.submit

puts driver.title

driver.quit

我收到以下错误:

/home/marc/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/selenium-webdriver-3.0.0.beta3.1/lib/selenium/webdriver/common/service.rb:115:in `connect_until_stable': unable to connect to Mozilla geckodriver 127.0.0.1:4445 (Selenium::WebDriver::Error::WebDriverError)

有人能帮我吗…?我已经尝试了好几个小时,却找不到问题…真的不知道该怎么办。

环境:

Ubuntu 16.04 LTS,Firefox 45.0,rbenv 2.3.1

另一个问题:有人知道Selenium + Ruby on Rails的示例吗?我找不到真正好的东西…文档真的很差劲:(


阅读 52

收藏
2020-06-26

共1个答案

小编典典

您拥有selenium-webdriver-3.0.0.beta3.1仅适用于Firefox
48及更高版本的工具(并且无法正常工作)。退回selenium- webdriver版本,2.53.4然后重试。

2020-06-26

回答这个问题

Nothing to preview